Generate QR Code
Generates a fresh QR code and session token that customers can scan at the venue to join the prediction game.
Endpoint
Section titled “Endpoint”POST
/tv/v1/screen/qrcode/generateRequest Body
Section titled “Request Body”curl -X POST https://api.juspredict.com/tv/v1/screen/qrcode/generate \-H 'Authorization: Bearer YOUR_TOKEN' \-H 'Content-Type: application/json' \-d '{"screen_id": "screen-uuid","event_id": "event-uuid","ttl_seconds": 3600}'{"screen_id": "screen-uuid","event_id": "event-uuid","ttl_seconds": 3600}Response Body
Section titled “Response Body”{"status": { "type": "SUCCESS" },"session_token": "token-abc","qr_code_content": "https://pug.link/join/...","qr_code_png_base64": "iVBORw0KG...","join_url": "https://pug.link/join/...","expires_at": 1713445200}{"status": {"type": "ERROR","details": [ { "code": "401", "message": "Unauthorized access token." }]}}Response Fields
Section titled “Response Fields”| Field | Type | Description |
|---|---|---|
status | Status | Operation status. |